[Deprecated]: v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/{subjectId}/titration-eligible
Deprecated: Checks if subject is eligible for titration. This is a new version of the API for returning additional attributes for titration kit label. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
instanceNumber: string
Instance number for unscheduled visit.Example:
1 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
1 -
visitId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : SubjectVisitKitTypeTO
Type:
Show Source
object-
isDownAllowed(required): boolean
Indicates whether down titration is allowed.Example:
true -
isUpAllowed(required): boolean
Indicates whether up titration is allowed.Example:
true -
kitsDispensed(required): array
Kits Dispensed
Title:
Kits DispensedIDs of kits dispensed. -
status(required): string
Status of titration allowed.Example:
ALLOW -
titrationId(required): string
(uuid)
ID of the titration.
-
titrationKitLabel: string
Label of the matching titration rowExample:
Low Dose
Nested Schema : Kits Dispensed
Type:
arrayTitle:
Kits DispensedIDs of kits dispensed.
Show Source
Example:
[
"B1B8327AFAA6412287106192AB5984EF",
"C36A3197FDEE433FB5547EE83DE99E4B"
]Examples
400 Response
For a subject who cannot be titrated as there are no titration kits dispensed to the subject earlier OR Subject cannot be titrated as no matching kits are defined with subject dispensations. ORInvalid subject OR Missing subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Visit not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples